﻿
// AqTkAppDlg.h : ヘッダー ファイル
//

#pragma once
#include <AquesTalkDa.h>	// 音声合成エンジン DAを含む
#include <AquesTalk.h>	// 音声合成エンジン　DAを含まない（.wavファイルの保存で利用）



// CAqTkAppDlg ダイアログ
class CAqTkAppDlg : public CDialogEx
{
// コンストラクション
public:
	CAqTkAppDlg(CWnd* pParent = nullptr);	// 標準コンストラクター

// ダイアログ データ
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_AQTKAPP_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV サポート


// 実装
protected:
	HICON m_hIcon;

	// 生成された、メッセージ割り当て関数
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnPlayCombo();
	afx_msg void OnStop();
	afx_msg void OnPlayUnit();
	afx_msg void OnPlayDate();
	afx_msg void OnPlayText();
	afx_msg void OnPlayTime();
	afx_msg void OnPlaySheep();
	virtual void OnOK();
	afx_msg void OnSave();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg LRESULT OnDone(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
private:
	void PlaySheep();
	int m_iSheep;
	int m_iSpeed;
	void InitControl();
	void PrintLog(const char *fmt, ...);
//	CAquesTalkDa m_AquesTalkDa;	//!音声合成クラスインスタンス
	H_AQTKDA m_AquesTalkDa;	//!音声合成クラスインスタンス
	void SynthePlay(CString &koe, LPARAM dwUser=0);
};
