//////////////////////////////////////////////////////////////////////
/*!	@class	CAquesTalk

	@brief	KGW AquesTalk1 win

  L񂩂特g`f[^ɐ
  o͉g`́A8HKzTvO, 16bit,m,WAVtH[}bg


	@author	AQUEST Corp.

	@date	2006/05/08	Creation
	@date	2020/11/19	Ver.1.7
*/
//  COPYRIGHT (C) 2006 AQUEST CORP.
//////////////////////////////////////////////////////////////////////
#if !defined(_AQUESTALK_H_)
#define _AQUESTALK_H_
#ifdef __cplusplus
extern "C"{
#endif

/////////////////////////////////////////////
//!	L񂩂特g`𐶐
//!	g`f[^͓ŗ̈mۂB
//!	g`f[^͖̉{֐̌ĂяoAquesTalk_FreeWave()ɂčs
//! @param	koe[in]		LiSJIS NULLI[j
//! @param	iSpeed[in]	bx [%] 50-300 ̊ԂŎw
//!	@param	pSize[out]	f[^̃TCY[byte]iG[̏ꍇ̓G[R[hԂj
//!	@return	WAVtH[}bg̉f[^̐擪AhXBG[NULLԂ
unsigned char * __stdcall AquesTalk_Synthe(const char *koe, int iSpeed, int *pSize);

//! @param	koe[in]		LiEUC NULLI[j
unsigned char * __stdcall AquesTalk_Synthe_Euc(const char *koe, int iSpeed, int *pSize);

//! @param	koe[in]		LiUTF8 NULLI[ BOM͂Ȃj
unsigned char * __stdcall AquesTalk_Synthe_Utf8(const char *koe, int iSpeed, int *pSize);

//! @param	koe[in]		LiUTF16 NULLI[ BOM̗L͖Ȃ@GfBA͎sɏ]j
unsigned char * __stdcall AquesTalk_Synthe_Utf16(const unsigned short *koe, int iSpeed, int *pSize);

//! @param	koe[in]		Li[}\L NULLI[j
unsigned char * __stdcall AquesTalk_Synthe_Roman(const char *koe, int iSpeed, int *pSize);


/////////////////////////////////////////////
//!	f[^̗̈J
//!	@param  wav[in]		AquesTalk_Synthe()ŕԂꂽAhXw
void __stdcall AquesTalk_FreeWave(unsigned char *wav);


#ifdef __cplusplus
}
#endif
#endif // !defined(_AQUESTALK_H_)
//  ----------------------------------------------------------------------
// !  Copyright AQUEST Corp. 2006- .  All Rights Reserved.                !
// !  An unpublished and CONFIDENTIAL work.  Reproduction, adaptation, or !
// !  translation without prior written permission is prohibited except   !
// !  as allowed under the copyright laws.                                !
//  ----------------------------------------------------------------------
